Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2014-12-12 22:03:18 +0000
committerDavid Williams2014-12-12 22:03:18 +0000
commit12bb01d5bf892816d5ddd05479c94144768bdc16 (patch)
treecaba0ae5757521fd8a652eca51ec4e02e78686a1 /production/testScripts/updateTestResultsPages.sh
parent5a24f27f3470eda0402fb88f3ca87daf9adbca90 (diff)
downloadeclipse.platform.releng.aggregator-12bb01d5bf892816d5ddd05479c94144768bdc16.tar.gz
eclipse.platform.releng.aggregator-12bb01d5bf892816d5ddd05479c94144768bdc16.tar.xz
eclipse.platform.releng.aggregator-12bb01d5bf892816d5ddd05479c94144768bdc16.zip
Bug 455035 - The first "long running" performance tests are not
displayed, but ran? Quick fix for "dataDir" issue. See bug 455070 for longer term issue.
Diffstat (limited to 'production/testScripts/updateTestResultsPages.sh')
-rwxr-xr-xproduction/testScripts/updateTestResultsPages.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/production/testScripts/updateTestResultsPages.sh b/production/testScripts/updateTestResultsPages.sh
index 583012fb5..ddb9d4707 100755
--- a/production/testScripts/updateTestResultsPages.sh
+++ b/production/testScripts/updateTestResultsPages.sh
@@ -198,8 +198,15 @@ then
postingDirectory=$fromDir
perfOutput=$postingDirectory/performance
# assuming for now the intent is that 'data' is meant to accumulate in common location
- dataDir=/shared/eclipse/perfdataDir
- mkdir -p $dataDir
+ dataDir=/shared/eclipse/perfdataDir_${buildId}
+ # make anew, if needed
+ mkdir -p "${dataDir}"
+ RC=$?
+ if [[ $RC != 0 ]]
+ then
+ echo "Could mkdir -p $dataDir. Return code was $RC. Exiting."
+ exit $RC
+ fi
# The performance UI function needs a DISPLAY to function, so we'll give it one via xvfb
XVFB_RUN="xvfb-run"
XVFB_RUN_ARGS="--error-file /shared/eclipse/sdk/testjobdata/xvfb-log.txt"
@@ -219,9 +226,10 @@ then
echo " BUILDFILESTR: $BUILDFILESTR"
echo " job: $JOB_NAME"
echo " XVFB_RUN_ARGS $XVFB_RUN_ARGS"
+ echo " current.prefix ${buildType}"
echo
- ${XVFB_RUN} ${XVFB_RUN_ARGS} ${ECLIPSE_EXE} --launcher.suppressErrors -nosplash -consolelog -debug -data $devworkspace -application org.eclipse.test.performance.ui.resultGenerator -baseline R-4.4-201406061215 -current.prefix N,I,M,S -current ${buildId} -jvm 8.0 -config linux.gtk.x86_64 -config.properties "linux.gtk.x86_64,SUSE Linux Enterprise Server 11 (x86_64)" -output $perfOutput -dataDir ${dataDir} -print -data -fingerprints -print -vm ${devJRE} -vmargs ${vmargs}
+ ${XVFB_RUN} ${XVFB_RUN_ARGS} ${ECLIPSE_EXE} --launcher.suppressErrors -nosplash -consolelog -debug -data $devworkspace -application org.eclipse.test.performance.ui.resultGenerator -baseline R-4.4-201406061215 -current.prefix ${buildType} -current ${buildId} -jvm 8.0 -config linux.gtk.x86_64 -config.properties "linux.gtk.x86_64,SUSE Linux Enterprise Server 11 (x86_64)" -output $perfOutput -dataDir ${dataDir} -print -data -fingerprints -print -vm ${devJRE} -vmargs ${vmargs}
RC=$?
if [[ $RC != 0 ]]
then

Back to the top